clang 10.0.0git

Public Attributes | List of all members
clang::CodeGen::CGFunctionInfoArgInfo Struct Reference

`#include "clang/CodeGen/CGFunctionInfo.h"`

Collaboration diagram for clang::CodeGen::CGFunctionInfoArgInfo:
[legend]

## Public Attributes
CanQualType | type
ABIArgInfo | info

## Detailed Description

Definition at line 469 of file CGFunctionInfo.h.

## Member Data Documentation

## ◆ info

ABIArgInfo clang::CodeGen::CGFunctionInfoArgInfo::info

Definition at line 471 of file CGFunctionInfo.h.

Referenced by clang::CodeGen::swiftcall::computeABIInfo(), clang::CodeGen::CodeGenTypes::GetFunctionType(), and isArgInAlloca().

## ◆ type

CanQualType clang::CodeGen::CGFunctionInfoArgInfo::type

Definition at line 470 of file CGFunctionInfo.h.

Referenced by clang::CodeGen::CGFunctionInfo::create(), clang::CodeGen::CodeGenTypes::GetFunctionType(), and isArgInAlloca().

The documentation for this struct was generated from the following file:

- include/clang/CodeGen/CGFunctionInfo.h